Skip to main content
GET
/
v2
/
checkout
/
{slug}
Get Checkout By Slug
curl --request GET \
  --url https://api.pagou.ai/v2/checkout/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "requestId": "<string>",
  "data": {
    "link": {
      "id": 123,
      "slug": "<string>",
      "status": "<string>",
      "title": "<string>",
      "description": "<string>",
      "currency": "BRL",
      "amount": 123,
      "expires_at": "<string>",
      "max_uses": 123,
      "used_count": 123,
      "success_url": "<string>",
      "cancel_url": "<string>",
      "payment_methods": [
        "pix"
      ],
      "metadata": {},
      "public_token": "<string>"
    },
    "items": [
      {
        "id": 123,
        "product_id": 123,
        "name": "<string>",
        "description": "<string>",
        "quantity": 123,
        "currency": "BRL",
        "type": "physical",
        "price": 123,
        "compare_price": 123,
        "metadata": {},
        "image_url": "<string>"
      }
    ],
    "session_token": "<string>",
    "expires_at": "<string>",
    "resumed": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-checkout-session-token
string
Minimum string length: 1

Path Parameters

slug
string
required
Required string length: 3 - 255

Response

Success

success
boolean
required
requestId
string
required
data
object
required